Extending Qt Creator Manual | AnsiFilterParser

Extending Qt Creator Manual 4.5.2

# AnsiFilterParser Class

(ProjectExplorer::AnsiFilterParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| AnsiFilterParser()

## Reimplemented Public Functions

virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### AnsiFilterParser::AnsiFilterParser()

Default constructs an instance of AnsiFilterParser.

### `[override virtual]` void AnsiFilterParser::stdError(const QString &line)

### `[override virtual]` void AnsiFilterParser::stdOutput(const QString &line)